## org.apache.xerces.util
Class LocatorProxy

    java.lang.Object
      org.apache.xerces.util.LocatorProxy

All Implemented Interfaces:
  org.xml.sax.ext.Locator2, org.xml.sax.Locator

    public class LocatorProxy

extends java.lang.Object
implements org.xml.sax.ext.Locator2

Wraps `XMLLocator` and make it look like a SAX `Locator`.

Version:
  $Id: LocatorProxy.java 320498 2005-06-20 18:29:00Z mrglavas $
Author:
  Arnaud Le Hors, IBM, Andy Clark, IBM

Constructor Summary
`LocatorProxy(org.apache.xerces.xni.XMLLocator locator)` Constructs an XML locator proxy.

Method Summary
`int` `getColumnNumber()` Column number.
`java.lang.String` `getEncoding()`
`int` `getLineNumber()` Line number.
`java.lang.String` `getPublicId()` Public identifier.
`java.lang.String` `getSystemId()` System identifier.
`java.lang.String` `getXMLVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocatorProxy

    public LocatorProxy(org.apache.xerces.xni.XMLLocator locator)

  Constructs an XML locator proxy.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Public identifier.

  Specified by:
    `getPublicId` in interface `org.xml.sax.Locator`

### getSystemId

    public java.lang.String getSystemId()

  System identifier.

  Specified by:
    `getSystemId` in interface `org.xml.sax.Locator`

### getLineNumber

    public int getLineNumber()

  Line number.

  Specified by:
    `getLineNumber` in interface `org.xml.sax.Locator`

### getColumnNumber

    public int getColumnNumber()

  Column number.

  Specified by:
    `getColumnNumber` in interface `org.xml.sax.Locator`

### getXMLVersion

    public java.lang.String getXMLVersion()

  Specified by:
    `getXMLVersion` in interface `org.xml.sax.ext.Locator2`

### getEncoding

    public java.lang.String getEncoding()

  Specified by:
    `getEncoding` in interface `org.xml.sax.ext.Locator2`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.